Subject: Re: Tcl exposes problem with cygwin/echo?
From: "Dr. Volker Zell" <[email-masked]>
To: "McCunney, Dennis" <[email-masked]>
Cc: "'Mike Kuhl'" <[email-masked]>, "Cygwin Mailing list (E-mail)" <[email-masked]>
Date: 14 Jul 1999 09:26:06 +0200

>>>>> "McCunney" == McCunney, Dennis <[email-masked]> writes:

    >> -----Original Message----- From: Mike Kuhl
    >> [mailto:[email-masked]] Sent: Monday, July 12, 1999 5:19
    >> PM To: 'cygwin mailing list' Subject: Tcl exposes problem with
    >> cygwin/echo?
    >> 
    >> I seem to be having a problem.  I'm using cygwin B20.  When I
    >> invoke a tcl interactive shell, and do this:
    >> 
    >> % set test {"This is a test."}  % exec echo $test
    >> 
    >> I get this:
    >> 
    >> "This is a test.\
    >> 
    >> Under unix, I get the expected behaviour:
    >> 
    >> "This is a test."
    >> 
    >> Can anyone explain what the problem is, or what I'm doing
    >> wrong?  Any help would be much appreciated.

I recompiled tcl from the Cygwin distribution as a X11 app by
undefining __WIN32__
In my case I get:

vzell:/tmp> tclsh
% set test {"This is a test."}
"This is a test."
% exec echo $test
"This is a test."

Ciao
  Volker

--
Want to unsubscribe from this list?
Send a message to [email-masked]